# Uses of Enum Class
com.ocient.metrics.PerfCounter.ThreadingModel

Packages that use PerfCounter.ThreadingModel
Package
Description
com.ocient.cli.extract
com.ocient.metrics

## Uses of PerfCounter.ThreadingModel in com.ocient.cli.extract

Methods in com.ocient.cli.extract that return PerfCounter.ThreadingModel
Modifier and Type
Method
Description
`PerfCounter.ThreadingModel`
ExtractConfiguration.`getThreadingModel()`
Constructors in com.ocient.cli.extract with parameters of type PerfCounter.ThreadingModel
Modifier
Constructor
Description
``
`ExtractMetrics(String queryId, ExtractConfiguration.LocationType locationType, PerfCounter.ThreadingModel threadingModel)`

## Uses of PerfCounter.ThreadingModel in com.ocient.metrics

Methods in com.ocient.metrics that return PerfCounter.ThreadingModel
Modifier and Type
Method
Description
`static PerfCounter.ThreadingModel`
PerfCounter.ThreadingModel.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PerfCounter.ThreadingModel[]`
PerfCounter.ThreadingModel.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in com.ocient.metrics with parameters of type PerfCounter.ThreadingModel
Modifier and Type
Method
Description
`PerfCounter`
MetricsRegistry.`getCounter(Metric.MetricPath path, PerfCounter.ThreadingModel threadingModel, Metric.DataType dataType, Metric.CounterType counterType, Metric.Units units)`
Fetches a `PerfCounter` or creates one if no such counter exists.
`static PerfCounter`
PerfCounter.`longCounter(Metric.MetricPath path, PerfCounter.ThreadingModel threadingModel, Metric.DataType dataType, Metric.CounterType counterType, Metric.Units units)`
Creates a new `PerfCounter` instance for a `long` value.